Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.templates.transformer
Class IncludeSchemaTransformer

    java.lang.Object
      org.apache.torque.templates.transformer.IncludeSchemaTransformer

All Implemented Interfaces:
  SourceTransformer

    public class IncludeSchemaTransformer

extends Object
implements SourceTransformer

A SourceTransformer which includes other schemata into the current graph.

Version:
  $Id: IncludeSchemaTransformer.java 1435917 2013-01-20 19:15:48Z tfischer $

Constructor Summary
`IncludeSchemaTransformer()` Standard constructor.
`IncludeSchemaTransformer(File baseDir)` Constructor to override base dir.

Method Summary
`SourceElement` | `transform(SourceElement root, ControllerState controllerState)` Loads the external schemata tables into the current graph.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludeSchemaTransformer

    public IncludeSchemaTransformer()

  Standard constructor.

### IncludeSchemaTransformer

    public IncludeSchemaTransformer(File baseDir)

  Constructor to override base dir.

  Parameters:
    `baseDir` - the new base dir.

Method Detail

### transform

    public SourceElement transform(SourceElement root,
                                   ControllerState controllerState)
                            throws SourceTransformerException

  Loads the external schemata tables into the current graph. The external database element is added as child of the external-schema element. Also, an all-tables child element is added to the root element, which is filled with all tables from the external schema plus its own tables.

  Specified by:
    `transform` in interface `SourceTransformer`
  Parameters:
    `root` - the database root element of the source tree, not null.
    `controllerState` - the controller state, not null.
  Throws:
    `SourceTransformerException` - if the transformation fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.